
@font-face {
    font-family: 'Libre Franklin';
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url(/fonts/libre-franklin-cyrilic-ext-italic.woff2) format('woff2');
    unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
}

@font-face {
    font-family: 'Libre Franklin';
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url(/fonts/libre-franklin-cyrilic-italic.woff2) format('woff2');
    unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}

@font-face {
    font-family: 'Libre Franklin';
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url(/fonts/libre-franklin-vietnames-italic.woff2) format('woff2');
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;
}

@font-face {
    font-family: 'Libre Franklin';
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url(/fonts/libre-franklin-latin-ext-italic.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

@font-face {
    font-family: 'Libre Franklin';
    font-style: italic;
    font-weight: 100 900;
    font-display: swap;
    src: url(/fonts/libre-franklin-latin-italic.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Libre Franklin';
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(/fonts/libre-franklin-cyrilic-ext.woff2) format('woff2');
    unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
}

@font-face {
    font-family: 'Libre Franklin';
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(/fonts/libre-franklin-cyrilic.woff2) format('woff2');
    unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}

@font-face {
    font-family: 'Libre Franklin';
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(/fonts/libre-franklin-vietnames.woff2) format('woff2');
    unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;
}

@font-face {
    font-family: 'Libre Franklin';
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(/fonts/libre-franklin-latin-ext.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

@font-face {
    font-family: 'Libre Franklin';
    font-style: normal;
    font-weight: 100 900;
    font-display: swap;
    src: url(/fonts/libre-franklin-latin.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Inria Serif';
    font-style: italic;
    font-weight: 300;
    font-display: swap;
    src: url(/fonts/inria-serif-latin-ext-italic-300.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}


@font-face {
    font-family: 'Inria Serif';
    font-style: italic;
    font-weight: 300;
    font-display: swap;
    src: url(/fonts/inria-serif-latin-italic-300.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Inria Serif';
    font-style: italic;
    font-weight: 400;
    font-display: swap;
    src: url(/fonts/inria-serif-latin-ext-italic-400.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

@font-face {
    font-family: 'Inria Serif';
    font-style: italic;
    font-weight: 400;
    font-display: swap;
    src: url(/fonts/inria-serif-latin-italic-400.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Inria Serif';
    font-style: italic;
    font-weight: 700;
    font-display: swap;
    src: url(/fonts/inria-serif-latin-ext-italic-700.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

@font-face {
    font-family: 'Inria Serif';
    font-style: italic;
    font-weight: 700;
    font-display: swap;
    src: url(/fonts/inria-serif-latin-italic-700.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Inria Serif';
    font-style: normal;
    font-weight: 300;
    font-display: swap;
    src: url(/fonts/inria-serif-latin-ext-300.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

@font-face {
    font-family: 'Inria Serif';
    font-style: normal;
    font-weight: 300;
    font-display: swap;
    src: url(/fonts/inria-serif-latin-300.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Inria Serif';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(/fonts/inria-serif-latin-ext-400.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

@font-face {
    font-family: 'Inria Serif';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url(/fonts/inria-serif-latin-400.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Inria Serif';
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url(/fonts/inria-serif-latin-ext-700.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

@font-face {
    font-family: 'Inria Serif';
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url(/fonts/inria-serif-latin-700.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
    font-family: 'Fira Code';
    font-style: normal;
    font-weight: 300 700;
    src: url(/fonts/fira-code-cyrilic-ext.woff2) format('woff2');
    unicode-range: U+0460-052F, U+1C80-1C88, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;
}

@font-face {
    font-family: 'Fira Code';
    font-style: normal;
    font-weight: 300 700;
    src: url(/fonts/fira-code-cyrilic.woff2) format('woff2');
    unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;
}

@font-face {
    font-family: 'Fira Code';
    font-style: normal;
    font-weight: 300 700;
    src: url(/fonts/fira-code-greek-ext.woff2) format('woff2');
    unicode-range: U+1F00-1FFF;
}

@font-face {
    font-family: 'Fira Code';
    font-style: normal;
    font-weight: 300 700;
    src: url(/fonts/fira-code-greek.woff2) format('woff2');
    unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;
}

@font-face {
    font-family: 'Fira Code';
    font-style: normal;
    font-weight: 300 700;
    src: url(/fonts/fira-code-latin-ext.woff2) format('woff2');
    unicode-range: U+0100-02AF, U+0304, U+0308, U+0329, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C0, U+2113, U+2C60-2C7F, U+A720-A7FF;
}

@font-face {
    font-family: 'Fira Code';
    font-style: normal;
    font-weight: 300 700;
    src: url(/fonts/fira-code-latin.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

*, *::before, *::after {
    box-sizing: border-box;
}

* {
    margin: 0;
}

html {
    -moz-text-size-adjust: none;
    -webkit-text-size-adjust: none;
    text-size-adjust: none;
    
}

html, body {
    height: 100%;
}

body {
    font-size: 1.2rem;
    font-weight: 400;
    line-height: 1.5;
    min-height: 100vh;
    min-height: 100dvh;
}

p, img, picture, video, canvas, svg {
    display: block;
    max-width: 100%;
}

input, button, textarea, select {
    font: inherit;
}

p, h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;
}

pre > code {
    color: #333;
    background: #fff;
    padding: 1rem;
    display: block;
    overflow-x: auto;
}


span[class*="storage-modifier"],
span[class*="name-tag"],
span[class*="stanza"],
span[class*="keyword"] {
    color: #000;
    font-weight: 600;
}

span[class*="constant"] {
    color: #333;
    font-weight: 600;
}

span[class*="name-function"],
span[class*="function-binding"] {
  color: #000;
}

span[class*="storage-type"],
span[class*="variable"] {
  color: #777;
  font-style: italic;
}

span[class*="inherited-class"],
span[class*="atom"],
span[class*="support"] {
    color: #111;
    font-weight: 500;
}

span[class*="comment"] {
  color: #777;
  font-style: italic;
}

span[class*="string"] {
    color: #606060;
    font-weight: 400;
}

span[class*="literal"],
span[class*="numeric"] {
    color: #000;
    font-weight: 300;
}

.diff-punctuation-definition-deleted {
  background-color: #ffdcd7;
  color: #67060c;
}

.diff-punctuation-definition-inserted {
  background-color: #aff5b4;
  color: #033a16;
}

.diff-markup-deleted {
  background-color: #ffdcd7;
  color: #67060c;
}

.diff-markup-inserted {
  background-color: #aff5b4;
  color: #033a16;
}

:root {
    --font-sans-serif: "Libre Franklin", sans-serif;
    --font-serif: "Inria Serif", serif;
    --font-mono: "Fira Code", monospace;

    --lightest-color: #ffffff;
    --light-color: #e2e2e2;
    --middle-light-color: #bcbcbc;
    --middle-color: #444444;
    --darkest-color: #111111;
    --bg-color: #eeeeee;
}

body {
    display: flex;
    flex-direction: column;
    font-family: var(--font-sans-serif);
    background-color: var(--bg-color);

    /* Overall layout structure. The aim is not to nest all the CSS in
       these blocks but to provide the overall logic of the layout (which
       is very simple) in a single place. */

    & > header,
    & > footer {
        flex: none;
    }

    & > main {
        flex: 1 0 auto;
    }

    & > footer {
        background-color: var(--darkest-color);
        color: var(--lightest-color);
        margin-top: 4rem;

        & a:not(:has(svg)) {
            text-decoration: none;
            color: var(--lightest-color);
            border-bottom: 1px dotted var(--lightest-color);
        }
    }

    & > main > div,
    & > header > div,
    & > footer > div {
        width: min(1024px, 100%);
        margin: 0 auto;
        padding: 0.2rem 1.2rem;
    }
}

#header-content {
    margin-top: 2rem;
    margin-bottom: 0.5rem;
    display: flex;
    gap: 1rem;
    align-items: center;

    & > div:last-child {
        flex: 1;
        font-family: var(--font-mono);
        font-size: 1.2rem;
    }

    & nav.breadcrumb {
        & > a {
            text-decoration: none;
            color: var(--darkest-color);
            font-weight: 400;
        }

        & > a:not(:first-child)::before {
            content: "/";
            display: inline-block;
            color: var(--middle-light-color);
            margin-right: 0.4rem;
            font-weight: 900;
        }
    }

    & h3 {
        font-weight: 900;
        font-size: 1.5rem;
        text-transform: uppercase;
        background-color: var(--darkest-color);

        & a {
            text-decoration: none;
            padding: 0.3rem;
            color: var(--lightest-color);
        }
    }
    
}

#main-content {
    margin-bottom: 3rem;
    font-family: var(--font-serif);

    & .temporal-notes {
        margin: 2rem 0;
        background-color: var(--lightest-color);
        padding: 0.4rem;
        font-family: var(--font-sans-serif);
        font-size: 80%;

        & > div:not(:first-child) {
            margin-top: 1rem;
            border-top: 1px solid var(--light-color);
            padding-top: 1rem;
        }

        & > div {
            display: flex;
            flex-direction: row;
            gap: 1rem;

            & > time {
                font-weight: 600;
            }
        }

    }

    & .address-meta {
        display: flex;
        flex-direction: row;
        gap: 2rem;

        h2 {
            margin-bottom: 1.2rem;
        }

        & > div:first-child {
            flex: 4;

            & a {
                display: block;
                background-color: var(--lightest-color);
                padding: 0.5rem;
                text-decoration: none;
            }

            & img {
                display: block;
                margin-bottom: 1rem;
                width: 100%;
            }
        }

        & > div:last-child {
            flex: 6;
        }
    }

    

    hr {
        margin: 3.5rem 0 4rem 0;
        border: 0px solid transparent;
        border-bottom: 1px solid var(--middle-light-color);
    }
    

    a {
        color: var(--middle-color);
        text-decoration: none;
        border-bottom: 1px dotted var(--middle-color);
    }

    .toc {
        margin: 2.5rem 0;

        & ul {
            padding: 0 1.8rem;
        }

        & > ul {
            padding: 0;
        }

        & li {
            list-style: none;
        }
    }

    & > h1 {
        font-family: var(--font-sans-serif);
        font-weight: 900;
        text-transform: uppercase;
        font-size: 300%;
        line-height: 3.5rem;
        margin-bottom: 1rem;
    }

    & article {

        & h1 {
            font-size: 220%;
            margin: 4.5rem 0 2.2rem 0;
        }

        & h2 {
            font-size: 180%;
            margin: 4rem 0 2rem 0;
        }

        & h3 {
            font-size: 140%;
            margin: 3.5rem 0 1.7rem 0;
        }

        & h4 {
            font-size: 120%;
            margin: 2.8rem 0 1.4rem 0;
        }

        & h5 {
            font-size: 110%;
            margin: 2.2rem 0 1.2rem 0;
        }

        & h6 {
            font-size: 100%;
            margin: 1.8rem 0 0.8rem 0;
        }


        & p {
            margin-bottom: 1.5rem;
        }

        & blockquote {
            font-weight: 100;
            padding: 0 2.5rem;
        }

        & ol,
        & ul {

            & li {
                margin: 0.1rem 0;
            }

            & li:last-child {
                margin-bottom: 1.5rem;
            }
            
            & > li:has(p) {

                margin: 1rem 0;
                
                & > p {
                    margin-bottom: 0.5rem;
                }
                & > p:last-child {
                    margin: 0;
                }
            }
        }

        & pre {
            margin: 3rem 0;
        }

        & img {
            display: block;
            margin: 2rem auto;
            max-width: 100%;   
        }

        & table {
            margin: 4rem auto;
            border-collapse: collapse;

            & th {
                background-color: var(--light-color);
            }

            & th,
            & td {
                border: 1px solid var(--darkest-color);
                padding: 0.2rem 1rem;
            }

            & td:empty {
                visibility: hidden;
                border: 0 solid transparent;
            }
            
        }

       

        & .side-by-side {
            display: flex;
            flex-direction: row;
            gap: 2rem;

            & > * {
                flex: 1;
            }
        }
    }

    & > article:empty {
        display: none;
    }

    & > article.synopsis {
        margin-top: 2rem;
        margin-bottom: 0;
    }

}

#main-content > article {
    & details {
        padding: 0 0.5rem;
        margin: 3rem 0;
        position: relative;
        
        & > summary {
            border-bottom: 0.3rem solid var(--light-color);
            padding: 1rem 0;
            user-select: none;
            cursor: pointer;
            position: sticky;
            top: 0;
            background-color: var(--bg-color);
            font-family: var(--font-sans-serif);
            font-weight: 600;
        }
        
    }    
}

.fr-content > article {
    & details > summary::before {
        content: "Ouvrir ";
    }

    & details[open] > summary::before {
        content: "Fermer ";
    }
}

.en-content > article {
    & details > summary::before {
        content: "Open ";
    }
    & details[open] > summary::before {
        content: "Close ";
    }
}



#footer-content {
    margin-top: 4rem;
    margin-bottom: 2rem;


    & section {
        & h3 {
            font-size: 1.2rem;
            font-weight: 700;
            text-transform: uppercase;
        }

        & p {
            margin-top: 1rem;
        }

        & nav {
            margin-top: 1rem;

            & a {
                display: inline-block;
            }

            & svg {
                width: 1.5rem;
            }
        }

        & .btn {
            background-color: var(--lightest-color);
            color: var(--darkest-color);
            font-size: 1rem;
            font-weight: 700;
        }
    }

    & > div:first-child {
        margin-bottom: 2rem;
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(min(400px, 100%), 1fr));
        gap: 2rem;
        justify-content: center;
    }

    & > div:last-child {

        padding-top: 1.5rem;
        border-top: 1px solid var(--middle-color);
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(min(400px, 100%), 1fr));
        gap: 2rem;


        & svg {
            display: inline-block;
            width: 2rem;
        }

        & > div > a {
            font-weight: 700;
            border-style: none;
        }

        & > div:last-child {
            text-align: right;
        }
        
    }
}


section.logs-summary,
section.indexes {

    --top-padding: 1.8rem;
    --border-color: var(--light-color);

    margin: 3rem 0;
    border-top: 1px solid var(--border-color);
    padding-top: var(--top-padding);

}

section.indexes {

    & > div {
        border-bottom: 1px solid var(--border-color);
        padding: var(--top-padding) 0;
        margin-bottom: 1rem;

        & > h2 {
            margin-bottom: 1.2rem;
        }

        & > p {
            margin-bottom: 1.4rem;
        }
    }

    & > div:last-child {
        margin-bottom: 0;
        border-style: none;
    }
    
}

section.logs-summary {
    & > p {
        & > time {
            font-family: var(--font-sans-serif);
            font-weight: 700;
            font-size: 90%;
        }
    }
    
    & > .global-view {
        display: flex;
        flex-direction: row;
        gap: 1rem;
        margin-top: 1.5rem;

        h3 {
            margin-bottom: 0.8rem;
        }

        & > div {
            flex: 1;
            
            & > div > div {
                display: flex;
                flex-direction: row;
                gap: 0.4rem;
                margin-bottom: 0.3rem;

                & > * {
                    padding: 0.2rem 0.4rem;
                }

                & span {
                    font-family: var(--font-sans-serif);
                    font-weight: 700;
                    background-color: var(--light-color);
                    flex: 1;
                    font-size: 90%;
                }

                & time {
                    flex: 2;
                    font-family: var(--font-mono);
                    word-spacing: -0.5rem;
                }
            }
        }
    }

    & section.log-list {

        --main-color: var(--light-color);
        
        margin: 4rem 0;

        & > div {
            margin: 1.8rem 0;
            border: 1px solid var(--main-color);
            

            & > p {
                margin-bottom: 0.2rem;
                padding: 0.4rem;
            }

            & > div.inline-enum {
                padding: 0.2rem;
                background-color: var(--main-color);
                color: var(--middle-color);
                font-size: 80%;
            }
            

        }
    }
}

section.journal-entry {
    margin: 4rem 0;
    display: flex;
    flex-direction: row;
    gap: 1.5rem;
    border-bottom: 1px solid var(--light-color);

    & > .sidebar {
        flex: 2;

        & time.date-repr {
            display: block;
            margin-bottom: 2rem;
        }
    }


    & > .content {
        flex: 6;
        margin-bottom: 4rem;

        & > article {
            margin-top: 0;
        }

        & .cover {
            width: 100%;
            display: bloc;
            margin-bottom: 2rem;
        }

        & .details {
            font-size: 80%;
            margin-top: 4rem;
            display: grid;
            grid-template-columns: repeat(2, 1fr);
            gap: 1.2rem;

            & h3 {
                text-transform: uppercase;
            }

            & .index p {
                font-family: var(--font-sans-serif);
                margin-bottom: 1rem;
            }

            & nav > ul > li > a {
                font-family: var(--font-sans-serif);
            }
        }
    }
    
}

section.journal-entry:last-child {
    border-bottom: 0px solid var(--light-color);

    & .details {
        margin-bottom: 0;
    }
}

section.gallery-meta {
    margin: 4rem 0;
    display: flex;
    flex-direction: row;
    gap: 1.5rem;

    & > .sidebar {
        flex: 2;

        & h3 {
            border-bottom: 0.2rem solid var(--light-color);
            margin-bottom: 1rem;
        }

        & nav {
            margin-bottom: 1.5rem;
        }

        & nav:last-child {
            margin-bottom: 0;
        }
    }

    & > .content {
        flex: 6;

        & .cover {
            width: 100%;
            margin-bottom: 2rem;
        }
    }
}

section.gallery {
    --gap: 0.5rem;

    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: var(--gap);

    & > div {
        background-color:  var(--lightest-color);
        padding: 0.5rem;
        display: inline-block;
        font-size: 80%;

        & > a > img {
            width: 100%;
        }

        & .title {
            font-weight: 700;
            font-family: var(--font-sans-serif);
            display: block;
            margin: var(--gap) 0;
        }

        & p {
            font-family: var(--font-serif);
            font-size: 88%;
            color: var(--middle-color);
            font-weight: 200;
        }
    }
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: var(--font-sans-serif);
    font-weight: 700;
}

.nav-enum {
    & > ul {
        display: block;
        padding: 0;
        list-style: none;
        font-family: var(--font-serif);

        & > li {
            display: inline-block;
            margin-bottom: 0.3rem;
        }

        & > li:not(:last-child)::after {
            content: '/';
            margin: 0 0.5rem;
        }

        & li:first-child {
            margin-right: 0;
        }
    }
}

.without-padding {
    padding: 0;

    & > li {
        list-style: none;
    }
}

.tag {
    font-family: var(--font-mono);
    font-size: 95%;
    color: var(--middle-color);
}

.tag::before {
    content: '#';
    font-weight: 700;
    margin-right: 0.2rem;
    color: var(--middle-light-color);
}

section.origin {
    margin: 1rem 0;
    font-size: 80%;
    font-family: var(--font-sans-serif);
}

.articles-list {

    padding: 0;
    margin: 2rem 0;


    
    & > li {
        list-style: none;
        margin-bottom: 5rem;

        &:first-child {
            margin-top: 3.5rem;
        }

        &:last-child {
            margin-bottom: 0.5rem;
        }

        & > a {
            font-weight: 700;
            font-family: var(--font-sans-serif);
            text-decoration: none;
            font-size: 110%;
        }

        & > p {
            font-size: 80%;
            margin: 0.5rem 0;
            padding: 0.1rem;
        }
    }

}

.set {

    & > * {
        margin-left: 0.5rem;
    }

    & > :first-child {
        margin-left: 0;
    }
}

.stack {
    & > * {
        margin-top: 2rem;
    }

    & > :first-child {
        margin-top: 0;
    }
}

.svg-light {
    & svg {
        fill: var(--lightest-color);
    }
}

.svg-cc-light {
    /* Since the icon does not rely on path... */
    & circle {
        fill: var(--lightest-color);
    }
}


.btn {
    display: inline-block;
    padding: 0.1rem 0.5rem;
    border-radius: 0.4rem;
    background-color: var(--darkest-color);
    color: var(--lightest-color);
    font-family: var(--font-sans-serif);
    text-decoration: none;
}

.kv {
    & > div {
        display: flex;
        flex-direction: row;
        gap: 0.2rem;
        margin-bottom: 0.3rem;
        font-family: var(--font-sans-serif);

        & > span {
            flex: 1;
            padding: 0.3rem;
        }

        & > span:first-child {
            background-color: var(--light-color);
            text-align: right;
            font-weight: 700;
        }

        & > div:last-child {
            margin-bottom: 0;
        }

        
    }
}

.inline-tags {
    padding: 0;
    list-style: none;

    & > li {
        display: inline-block;
        margin-left: 0.5rem;
        background-color: var(--light-color);
        font-family: var(--font-mono);
        font-size: 75%;
        padding: 0.2rem 0.3rem;

        &::before {
            content: "#"
        }

        &:first-child {
            margin-left: 0;
        }
    }
}

.inline-enum {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    gap: 0.5rem;
    
    & > div {
        display: flex;
        flex-direction: row;
        gap: 0.2rem;
        font-family: var(--font-sans-serif);

        & > span {
            padding: 0.1rem;
        }

        & > span:first-child {
            text-align: right;
            font-weight: 700;

            &:after {
                content: ":";
            }
        }

        & > div:last-child {
            margin-bottom: 0;
        }
    }
}


.capitalize {
    text-transform: capitalize;
}

.upcase {
    text-transform: uppercase;
}


.journal-navigation {
    display: flex;
    flex-direction: row;
    margin: 4rem 0;

    & > div {
        flex: 1;
    }

    & > div.pred {
        text-align: left;

        & a::before {
            content: "◀";
            padding-right: 0.5rem;
        }
    }
    
    & > div.succ {
        text-align: right;
        
        & a::after {
            content: "▶";
            padding-left: 0.5rem;
        }
    }
}

.year-list {

    margin-top: 4rem;

    
    & > div {
        display: flex;
        flex-direction: row;
        gap: 2rem;

        &:last-child > div:last-child > .talk:last-child {
            border-bottom: 0px solid transparent;
        }
    }

    & > div > div {
        flex: 1;

        &:first-child {
            flex: 0;
            color: var(--middle-color);
        }
    }

    & .reading,
    & .talk {
        --gap: 1rem;
        border-bottom: 1px solid var(--middle-light-color);
        padding-bottom: var(--gap);
    }

    & > div:last-child > div > .reading:last-child {
        border-style: none;
    }

    & .reading {

        display: flex;
        flex-direction: row;
        margin-bottom: calc(var(--gap) * 1);

        & > .month,
        & > .kind {
            flex: 1;
            font-family: var(--font-mono);
            
        }

        & > .kind {
            align-self: center;
        }

        & > .month {
            text-align: right;
            font-weight: 900;
        }

        & > .content {
            flex: 6;
            margin: 0 var(--gap);

            & h3 {
                margin: 0;
                padding: 0;
                font-family: var(--font-sans-serif);
                font-size: 110%;
            }

            & span.authors,
            & time.year {
                font-size: 90%;
            }

            & a.isbn {
                font-family: var(--font-mono);
                text-decoration: none;
                font-size: 80%;

                &:before {
                    content: "ISBN";
                    font-family: var(--font-sans-serif);
                    font-weight: 600;
                }
            }
        }
        
    }

    & .talk {
        margin-bottom: calc(var(--gap) * 3.2);
        padding-bottom: var(--gap);
        
        & > h4 {
            font-weight: 200;
        }

        & > nav.meta {
            display: flex;
            flex-direction: row;
            gap: 0.5rem;
            margin-bottom: 1rem;

            & > a {
                font-family: var(--font-sans-serif);
            }
        }

        & > article {
            margin-top: 1rem;
            font-weight: 100;
        }

    }


}


.journal-navigation:empty {
    display:none;
}

time.date-repr {
    background-color: var(--light-color);
    color: var(--middle-color);
    font-family: var(--font-sans-serif);
    padding: 0.2rem 0.2rem;
    font-size: 80%;
}

time.date-repr::before {
    content: attr(data-prefix);
    margin-right: 0.4rem;
    font-weight: 700;
}

.small-text {
    font-size: 75%;
}


@media all and (max-width: 860px) {

    .refutable {
        display: none;
    }

    body > footer {
        margin-top: 0.2rem;
    }

    #footer-content {
        & > div:last-child > div:first-child,
        & > div:last-child > div:last-child {
            text-align: center;
        }

        & > div:last-child > div:first-child svg {
            display: block;
            margin: 1rem auto;
        }
    }

    #header-content {
        flex-direction: column;
        align-items: start;
    }

    #main-content {

        & article {
            
            & .side-by-side {
                display: flex;
                flex-direction: column;
                gap: 2rem;
                
                & > * {
                    margin: 0;
                }

                & > *:last-child {
                    margin-bottom: 2rem;
                }
            }
        }

        & .address-meta {
            flex-direction: column;
        }
        
    }

    section.logs-summary {
        & > .global-view {
            display: flex;
            flex-direction: column;
            gap: 1rem;
        }
    }

    section.journal-entry,
    section.gallery-meta {
        flex-direction: column-reverse;

        & h3 {
            margin-bottom: 0.1rem;
        }

        & > .sidebar {
            margin-top: 2rem;
        }
    }

    .talk-list {
        & > div {
            display: flex;
            flex-direction: column;

            & .talk {
                & > nav.meta {
                    flex-direction: column;
                }
            }
        }

    }
}


@media all and (max-width: 640px) {

    section.gallery {
        grid-template-columns: repeat(2, 1fr);
    }

    .year-list {

        & > div {
            flex-direction: column;
        }

        & .talk {
            & nav.meta {
                flex-direction: column;
            }
        }

        & .reading {
            flex-direction: column;

            & .content {
                margin: 1rem 0;
            }

            & .kind,
            & .month {
                text-align: left;
                align-self: flex-start;
            }
        }

        
    }

}
